C=== TO PRINT WAVE FUNCTION WITH INTERPOLATION==
      SUBROUTINE  INTPLR(RO1,BET,ISIGM,
     *ALFA,H,IS,NE5,KT,IN,KSU1,IB,ID,R2,R5,R7)

      REAL*8 ALFA,BET,H,RO1,ROT,JJJ,
     * AA1,T2,AKSI,UU,VV ,CO,
     * R2(*),R5(*),R7(*)
      INTEGER IN(IS),KT,IS,IB,ID,KSU1,IQQ

      NE=NE5-15
C     DO 1 JJ=1,IS
      JJ =ISIGM
C===   IB -shift at R5=======
      IAA=JJ+IB
      IF(KSU1.EQ.5)  GOTO 1
      IF (IB.EQ.0) THEN
      WRITE(6,2) JJ,R5(1),R5(2)
  2   FORMAT('========================= '/
     *       ' SHELL                    ',I5/
     *       ' ENERGY                   ',E15.8/
     *       ' NORM                     ',E15.8)
      IF(R5(1).LT.0.0)  WRITE(6, 201) IN(JJ)
201   FORMAT(' PRINCIPAL QUANTUM NUMBER ',I5)
      IL=IDINT(R5(NE+4))
      WRITE(6, 202)IL
202   FORMAT(' ORBITAL MOMENTUM         ',I5)
      IQQ=IDINT(R5(NE+6))
      WRITE(6, 204)IQQ
204   FORMAT(' NUMBER OF ELECTRONS      ',I5)
      JJJ=R5(NE+3)
      WRITE(6, 205)JJJ
205   FORMAT(' TOTAL ORBITAL MOMENT       ',F3.1)
      IXI=IDINT(R5(NE+7))
      WRITE(6, 203)IXI
203   FORMAT(' EFFECT.ORBITAL MOMENTUM  ',I5)
      END IF
      IF (IB.EQ.0) WRITE(6, 6) JJ
      IF (IB.EQ.IS+1) WRITE(6, 7)JJ
      IF (IB.EQ.(IS+IS+2)) THEN
       WRITE(6, 8)JJ
      END IF
  6   FORMAT( '    R',7X,'ksi*P(R)  ',' for shell ',I3)
  7   FORMAT( '    R',7X,'alpha*G(R)',' for shell ',I3)
  8   FORMAT( '    R',7X,'U(R)      ',' for shell ',I3)
      DO 3 IWW=1,KT
      ROT=ALFA*R7(IWW)+BET* DLOG(R7(IWW))
      AA1=(ROT-RO1)/H
      IT1=AA1
      T2=AA1-IT1
      IF(IT1.EQ.0) GOTO 3
      IF(IT1.GT.NE) GOTO 1
      AKSI=1.-T2
      UU=T2*(1.-T2**2)/6.
      VV=AKSI*(1.-AKSI**2)/6.
C =====ID -shift at R5 ==========
      WRITE(6,10)ID
  10  FORMAT(' ID-shift ',I5)
      IF (IB.NE.(IS+IS+2)) THEN
      CO=DSQRT(R7(IWW)/(ALFA*
     *R7(IWW)+BET))
      ELSE
      CO=1.
      END IF
      R2(IWW)=CO
     *  *(R5(IT1+2+ID)*AKSI
     *  +R5(IT1+3+ID)*T2-VV*(R5(IT1+3+ID)-2.
     *  *R5(IT1+2+ID)+R5(IT1+1+ID))-
     *  UU*(R5(IT1+4+ID)
     *  -2.*R5(IT1+3+ID)+R5(IT1+2+ID)))
 3     CONTINUE
      WRITE(6,4)  (R7(IW),R2(IW),IW=1,KT )
 4    FORMAT(3(   F6.3,E15.6,2X))
 1    CONTINUE
      RETURN
      END
